;---------------------------------------------------------------------------
; Stand
[Statedef 0]
type = S
physics = S
sprpriority = 0

[State 0, 1]
type = ChangeAnim
triggerall = Power < PowerMax
trigger1 = Anim != 0 && Anim != 1 && Anim != 2 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0
value = 0

[State 0, 1]
type = ChangeAnim
triggerall = Power >= PowerMax
trigger1 = Anim != 195 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0
value = 195

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = Anim = [1,2]
trigger1 = EnemyNear,Pos Y > -96
trigger1 = EnemyNear,Pos Y < 96
value = ifelse(Power>=3000,195,0)

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = Anim = 0
trigger1 = EnemyNear,Pos Y < Pos Y - 96
value = 1

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = Anim = 0
trigger1 = EnemyNear,Pos Y > Pos Y + 96
value = 2

[State 0, 2]
type = VelSet
trigger1 = Time = 0
y = 0

[State 0, 3]
type = VelSet
trigger1 = abs(vel x) < 2
trigger2 = Time = 4
x = 0

[State 0, 4]
type = ChangeState
trigger1 = !alive
value = 5050
ctrl = 0

[State 0, 5]
type = ChangeState
trigger1 = pos y < 0
value = 50

;---------------------------------------------------------------------------
; Jump Start
[Statedef 40]
type    = S
physics = S
anim = 40
ctrl = 0
facep2 = 1
sprpriority = 1

[State 40, 1]
type = VarSet
trigger1 = Time = 0
sysvar(1) = 0

[State 40, 2]
type = VarSet
trigger1 = command = "holdfwd"
sysvar(1) = 1

[State 40, 3]
type = VarSet
trigger1 = command = "holdback"
sysvar(1) = -1

[State 40, 4]
type = VarSet
trigger1 = Time = 0
var(2) = 1

[State 40, 5]
type = VarSet
trigger1 = command != "holdup"
var(2) = 0

[State 40, 4]
type = VelSet
trigger1 = AnimTime = 0
x = ifelse(sysvar(1)=0, const(velocity.jump.neu.x), ifelse(sysvar(1)=1, const(velocity.jump.fwd.x), const(velocity.jump.back.x)))
y = ifelse(var(2)=0,const(velocity.jump.y)*0.72,const(velocity.jump.y))

[State 40, 5]
type = VelSet
trigger1 = AnimTime = 0
trigger1 = prevstateno = 100 ;RUN_FWD
trigger1 = sysvar(1) = 1
x = const(velocity.runjump.fwd.x)

[State 40, 6]
type = ChangeState
triggerall = AnimTime = 0
triggerall = Var(15) = 0
trigger1 = command = "holdup"
trigger1 = command = "hold_b"
value = 720

[State 40, 6]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;---------------------------------------------------------------------------
; Jump Up
[Statedef 50]
type    = A
physics = A

[State 0, Snd Jump]
type = PlaySnd
trigger1 = Time = 1
value = S2,0
channel = 1

[State 50, 1]
type = VarSet
trigger1 = Time = 0
sysvar(1) = 0

[State 50, 2]
type = ChangeAnim
trigger1 = Time = 0
value = ifelse(var(2)=1,41,51)

[State 50, 3]
type = ChangeAnim
trigger1 = Vel y > -2
trigger1 = SelfAnimExist(anim + 3)
trigger1 = anim >= 41 && anim <= 43
persistent = 0
value = Anim + 3


;---------------------------------------------------------------------------
; Run Forward
[Statedef 100]
type    = S
physics = S
anim = 100
sprpriority = 1

[State 100, 1]
type = VelSet
trigger1 = 1
x = const(velocity.run.fwd.x)

[State 100, 2] ;Prevent run from canceling into walk
type = AssertSpecial
trigger1 = 1
flag = NoWalk

[State 0, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 4
trigger2 = AnimElem = 8
value = S2,2
channel = 1

[State 100, 4]
type = ChangeState
trigger1 = command != "holdfwd"
trigger1 = Time > 8
value = 0

;---------------------------------------------------------------------------
; Run Back
[Statedef 105]
type    = S
physics = S
ctrl = 1
anim = 105
sprpriority = 1

[State 105, 1]
type = VelSet
trigger1 = 1
x = const(velocity.run.back.x)

[State 100, 2] ;Prevent run from canceling into walk
type = AssertSpecial
trigger1 = 1
flag = NoWalk

[State 0, VelSet]
type = VelSet
trigger1 = AnimTime = 0
x = 0

[State 105, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Lose
[Statedef 170]
type = S
ctrl = 0
anim = 170
velset = 0,0

[State 170, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 0, VelAdd]
type = VelAdd
trigger1 = Anim = 170
trigger1 = AnimElemNo(0) >= 4
y = .6

[State -3, Fall Sound]
type = PlaySnd
trigger1 = Pos Y >= 32
value = S2, 3
channel = 1

[State 0, EnvShake]
type = EnvShake
trigger1 = Pos Y >= 32
time = 8
freq = 90
ampl = -16
phase = 90

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = Pos Y >= 32
value = 5110

[State 0, PosSet]
type = PosSet
trigger1 = Anim = 5110
y = 0

[State 0, VelSet]
type = VelSet
trigger1 = Anim = 5110
y = 0

;---------------------------------------------------------------------------
; Win
[Statedef 180]
type = S
ctrl = 0
anim = 180
velset = 0,0

[State 181, 0]
type = AssertSpecial
trigger1 = Time < 168
flag = RoundNotOver

[State 0, Snd Voice]
type = PlaySnd
trigger1 = Time = 0
value = S5,2
channel = 0

[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

;---------------------------------------------------------------------------
; Introduction
[Statedef 190]
type = S
ctrl = 0

[State 0, Duration of Hit Pauses]
type = VarSet
trigger1 = 1
v = 10
value = 6

[State 0, Maximum Number of Blood Effects]
type = VarSet
trigger1 = 1
v = 11
value = 64

[State 0, Defence Multiplier]
type = VarSet
trigger1 = 1
v = 12
value = 115

[State 190, 3]
type = ChangeState
trigger1 = 1
value = 0

;---------------------------------------------------------------------------
; Taunt, C
[Statedef 195]
type = S
ctrl = 0
anim = 195
velset = 0,0
movetype = I
physics = S
sprpriority = 2

[State 0, PowerAdd]
type = PowerAdd
triggerall = RoundState = 2
trigger1 = Time >= 10
value = 4

[State 195, 1]
type = CtrlSet
trigger1 = Time = 10
trigger1 = Var(15) = 0
value = 1

[State 195, 1]
type = CtrlSet
triggerall = Var(15) != 0
trigger1 = Time = 64
trigger2 = P2BodyDist X < 100
trigger2 = Time >= 8
trigger2 = P2MoveType != H && P2StateType != L
value = 1

[State 195, 2]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; A (Punch)
[Statedef 200]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
ctrl = 0
anim = 200
sprpriority = 2

[State 0, VarSet]
type = VarSet
trigger1 = Time = 0
v = 5
value = 0
[State 0, VarSet]
type = VarSet
triggerall = AnimElemNo(0) >= 3
trigger1 = command = "a"
v = 5
value = 1
ignorehitpause = 1

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = S, NA
damage = 32, 0
animtype = Medium
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = var(10), var(10)
sparkno = s8000
guard.sparkno = s8050
sparkxy = -16, -96
hitsound = S1, 0
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 12
ground.hittime  = 12
air.hittime = 12
guard.hittime = 11
ground.velocity = -4
air.velocity = -1,-1
air.fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, Explod]
type = Explod
triggerall = MoveHit = 1
triggerall = NumExplod(8020) + NumExplod (8031) + NumHelper(8030) < Var(11)
trigger1 = Var(9) = 1
trigger2 = Var(9) = 2 && Random < 500
trigger3 = Var(9) = 3 && Random < 250
anim = 8020
ID = 8020
pos = 72, -112
postype = p1
vel = 2+(random%300*0.01),-2-(random%200*0.01)
accel = -.05,.15
removetime = -2
scale = 0.5+(random%50*0.01),0.5+(random%50*0.01)
sprpriority = 5
ownpal = 1
ignorehitpause = 1

[State 0, ChangeState]
type = ChangeState
triggerall = AnimElemNo(0) >= 5
trigger1 = Var(5) = 1
trigger2 = Var(15) != 0 && (Var(15)*Var(15)*Var(15)*2)*0.9 > random
value = 210

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
trigger1 = Var(5) = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; A, A (Buster Arm)
[Statedef 210]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
ctrl = 0
anim = 210
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 0, VelSet]
type = PosAdd
trigger1 = AnimElem = 1
trigger2 = AnimElem = 4
x = 4
[State 0, VelSet]
type = PosAdd
trigger1 = AnimElem = 2
trigger2 = AnimElem = 3
x = 8

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = S, NA
damage = 32, 0
animtype = Medium
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = var(10), var(10)
sparkno = s8000
guard.sparkno = s8050
sparkxy = -24, -96
hitsound = S1, 0
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 12
ground.hittime  = 12
air.hittime = 12
guard.hittime = 6
ground.velocity = -8
air.velocity = -4,-2
air.fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, Explod]
type = Explod
triggerall = MoveHit = 1
triggerall = NumExplod(8020) + NumExplod (8031) + NumHelper(8030) < Var(11)
trigger1 = Var(9) = 1
trigger2 = Var(9) = 2 && Random < 500
trigger3 = Var(9) = 3 && Random < 250
anim = 8020
ID = 8020
pos = 72, -112
postype = p1
vel = 2+(random%300*0.01),-2-(random%200*0.01)
accel = -.05,.15
removetime = -2
scale = 0.5+(random%50*0.01),0.5+(random%50*0.01)
sprpriority = 5
ownpal = 1
ignorehitpause = 1

[State 0, Helper]
type = Helper
triggerall = MoveHit = 1
triggerall = NumExplod(8020) + NumExplod (8031) + NumHelper(8030) < Var(11)
trigger1 = Var(9) = 1
trigger2 = Var(9) = 2 && Random < 500
trigger3 = Var(9) = 3 && Random < 250
helpertype = normal
name = "Blood Drop"
ID = 8030
stateno = 8030
pos = 72, -80
postype = p1    ;p2,front,back,left,right
ownpal = 1
ignorehitpause = 1

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; A+B (Knuckle Bash)
[Statedef 220]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
ctrl = 0
anim = 220
sprpriority = 2

[State 0, VarSet]
type = VarSet
trigger1 = AnimElem = 2
v = 5
value = 0
[State 0, VarSet]
type = VarSet
trigger1 = command = "a" && command = "b"
v = 5
value = 1
ignorehitpause = 1

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 3
trigger2 = AnimElem = 6
value = S0, 0
channel = 1

[State 200, 1]
type = HitDef
trigger1 = AnimElem = 4
trigger2 = AnimElem = 7
attr = S, NA
damage = 24, 0
animtype = Medium
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = ceil(var(10)*0.5), ceil(var(10)*0.5)
sparkno = s8000
guard.sparkno = s8050
sparkxy = -16, -96
hitsound = S1, 4
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 14
ground.hittime  = 14
air.hittime = 14
guard.hittime = 6
ground.velocity = ifelse(AnimElemNo(0)=4,0,-4)
air.velocity = -4,-2
air.fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
trigger1 = Var(5) = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Close, A (Body Up)
[Statedef 230]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
ctrl = 0
anim = 230
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = S, NA
damage = 32, 0
animtype = Light
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = var(10), var(10)
sparkno = s8000
guard.sparkno = s8050
sparkxy = -24, -80
hitsound = S1, 0
guardsound = S3, 0
ground.type = Low
air.type = Low
ground.slidetime = 14
ground.hittime  = 14
air.hittime = 14
guard.hittime = 4
ground.velocity = -5
air.velocity = -1,-1
air.fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; f, A (Monster Buster)
[Statedef 240]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
ctrl = 0
anim = 240
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 3
value = S0, 0
channel = 1

[State 0, VelSet]
type = VelSet
trigger1 = AnimElemNo(0) = 4
x = 10

[State 0, VelSet]
type = VelSet
trigger1 = AnimElem = 5
x = 2

[State 210, 1]
type = HitDef
trigger1 = Time = 0
attr = S, NA
damage = 64, 0
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 3, Hit
pausetime = var(10), var(10)
sparkno = s8010
guard.sparkno = s8060
sparkxy = -24, -104
hitsound = S1, 4
guardsound = S3, 0
ground.type = Trip
air.type = High
ground.slidetime = 28
ground.hittime  = 28
air.hittime = 28
guard.hittime = 12
ground.velocity = -4,-6
air.velocity = -6,-2
fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, Helper]
type = Helper
triggerall = MoveHit = 1
triggerall = NumExplod(8020) + NumExplod (8031) + NumHelper(8030) < Var(11)
trigger1 = Var(9) = 1
trigger2 = Var(9) = 2 && Random < 500
trigger3 = Var(9) = 3 && Random < 250
helpertype = normal
name = "Blood Drop"
ID = 8030
stateno = 8030
pos = 72,-104
postype = p1    ;p2,front,back,left,right
ownpal = 1
ignorehitpause = 1

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; b, A (Buster Up)
[Statedef 250]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
ctrl = 0
anim = 250
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 0, PosAdd]
type = PosAdd
trigger1 = AnimElem = 2
trigger2 = AnimElem = 3
x = 8

[State 0, NotHitBy]
type = NotHitBy
trigger1 = AnimElem = 3
value = SCA,NA,SA,HA
time = 1

[State 210, 1]
type = HitDef
trigger1 = Time = 0
attr = S, NA
damage = 56, 0
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 3, Hit
pausetime = var(10), var(10)
sparkno = s8010
guard.sparkno = s8060
sparkxy = -24, -104
hitsound = S1, 4
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 28
ground.hittime  = 28
air.hittime = 28
guard.hittime = 12
ground.velocity = -1,-8
air.velocity = -4,-4
fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, Helper]
type = Helper
triggerall = MoveHit = 1
triggerall = NumExplod(8020) + NumExplod (8031) + NumHelper(8030) < Var(11)
trigger1 = Var(9) = 1
trigger2 = Var(9) = 2 && Random < 500
trigger3 = Var(9) = 3 && Random < 250
helpertype = normal
name = "Blood Drop"
ID = 8030
stateno = 8030
pos = 56, -104
postype = p1    ;p2,front,back,left,right
ownpal = 1
ignorehitpause = 1

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; f, f, A (Glider Claw)
[Statedef 260]
type    = A
movetype= A
physics = N
juggle  = 1
velset = 0,0
ctrl = 0
anim = 260
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 4
value = S0, 0
channel = 1
[State 0, Snd Jump]
type = PlaySnd
trigger1 = Time = 0
value = S2,0
[State 200, Snd Voice]
type = PlaySnd
trigger1 = AnimElem = 5
value = S5, 1
channel = 0

[State 0, VelSet]
type = VelSet
trigger1 = AnimElem = 2
x = 8
y = -2
[State 0, VelAdd]
type = VelAdd
trigger1 = 1
y = .14
[State 0, VelMul]
type = VelMul
trigger1 = 1 
x = 0.925

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage = 32, 4
animtype = Medium
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = ceil(var(10)/2), ceil(var(10)/2)
sparkno = s8000
guard.sparkno = s8050
sparkxy = -16, -72
hitsound = S1, 0
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 20
ground.hittime  = 20
air.hittime = 20
guard.hittime = 16
ground.velocity = -6
air.velocity = -3,-3
air.fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 210, 1]
type = HitDef
trigger1 = AnimElem = 5
attr = S, NA
damage = 64, 9
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 3, Hit
pausetime = var(10), var(10)
sparkno = s8010
guard.sparkno = s8060
sparkxy = -24, -40
hitsound = S1, 4
guardsound = S3, 0
ground.type = Trip
air.type = High
ground.slidetime = 28
ground.hittime  = 28
air.hittime = 28
guard.hittime = 16
ground.velocity = -5,-5
air.velocity = -6,-2
fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, Helper]
type = Helper
triggerall = MoveHit = 1
triggerall = Time > 14
triggerall = NumExplod(8020) + NumExplod (8031) + NumHelper(8030) < Var(11)
trigger1 = Var(9) = 1
trigger2 = Var(9) = 2 && Random < 500
trigger3 = Var(9) = 3 && Random < 250
helpertype = normal
name = "Blood Drop"
ID = 8030
stateno = 8030
pos = 64,-48
postype = p1    ;p2,front,back,left,right
ownpal = 1
ignorehitpause = 1

[State 200, 7]
type = ChangeState
trigger1 = Pos Y + Vel Y >= 0
trigger1 = Time > 4
value = 261

;---------------------------------------------------------------------------
; Land
[Statedef 261]
type    = S
movetype= I
physics = C
velset = 0,0
ctrl = 0
anim = 261

[State 0, PosSet]
type = PosSet
trigger1 = Time = 0
y = 0

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 12
ctrl = 1

;---------------------------------------------------------------------------
; B (Kick)
[Statedef 300]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
ctrl = 0
anim = 300
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = S, NA
damage = 64, 0
animtype = Medium
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = var(10), var(10)
sparkno = s8000
guard.sparkno = s8050
sparkxy = -24, -72
hitsound = S1, 0
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 20
ground.hittime  = 20
air.hittime = 20
guard.hittime = 15
ground.velocity = -6
air.velocity = -3,-2
air.fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; f, B (Twin Knee Smash)
[Statedef 310]
type    = A
movetype= A
physics = N
juggle  = 1
velset = 0,0
ctrl = 0
anim = 310
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 0, VelSet]
type = VelSet
trigger1 = AnimElem = 2 
x = 6
y = -4
[State 0, VelMul]
type = VelMul
trigger1 = AnimElemNo(0) >= 4
x = 0.85
[State 0, VelAdd]
type = VelAdd
trigger1 = 1
y = .4

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage = 40, 0
animtype = Back
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = var(10), var(10)
sparkno = s8000
guard.sparkno = s8050
sparkxy = -16, -72
hitsound = S1, 0
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 14
ground.hittime  = 14
air.hittime = 14
guard.hittime = 12
ground.velocity = -3
air.velocity = -1,-2
air.fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 210, 1]
type = HitDef
trigger1 = AnimElem = 4
attr = A, NA
damage = 40, 0
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 3, Hit
pausetime = var(10), var(10)
sparkno = s8010
guard.sparkno = s8060
sparkxy = -16, -64
hitsound = S1, 4
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 28
ground.hittime  = 28
air.hittime = 28
guard.hittime = 12
ground.velocity = -2,-7
air.velocity = -5,-2
fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, Helper]
type = Helper
triggerall = MoveHit = 1
triggerall = Time > 8
triggerall = NumExplod(8020) + NumExplod (8031) + NumHelper(8030) < Var(11)
trigger1 = Var(9) = 1
trigger2 = Var(9) = 2 && Random < 500
trigger3 = Var(9) = 3 && Random < 250
helpertype = normal
name = "Blood Drop"
ID = 8030
stateno = 8030
pos = 72,-104
postype = p1    ;p2,front,back,left,right
ownpal = 1
ignorehitpause = 1

[State 200, 7]
type = ChangeState
trigger1 = Pos Y + Vel Y >= 0
trigger1 = Time > 4
value = 52

;---------------------------------------------------------------------------
; f, f, B (Ground Slider)
[Statedef 320]
type    = C
movetype= A
physics = N
juggle  = 1
velset = 0,0
ctrl = 0
anim = 320
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 0, VelSet]
type = VelSet
trigger1 = AnimElemNo(0) = 2
x = 2
[State 0, VelSet]
type = VelSet
trigger1 = AnimElem = 3
x = 10
[State 0, VelMul]
type = VelMul
trigger1 = Time > 20
x = 0.825

[State 210, 1]
type = HitDef
trigger1 = Time = 0
attr = S, NA
damage = 88, 13
animtype = Heavy
guardflag = L
hitflag = MAF
priority = 3, Hit
pausetime = var(10), var(10)
sparkno = s8010
guard.sparkno = s8060
sparkxy = -24, -32
hitsound = S1, 4
guardsound = S3, 0
ground.type = Trip
air.type = High
ground.slidetime = 28
ground.hittime  = 28
air.hittime = 28
guard.hittime = 18
ground.velocity = -5,-5
air.velocity = -6,-1
fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, Helper]
type = Helper
triggerall = MoveHit = 1
triggerall = NumExplod(8020) + NumExplod (8031) + NumHelper(8030) < Var(11)
trigger1 = Var(9) = 1
trigger2 = Var(9) = 2 && Random < 500
trigger3 = Var(9) = 3 && Random < 250
helpertype = normal
name = "Blood Drop"
ID = 8030
stateno = 8030
pos = 72,-32
postype = p1    ;p2,front,back,left,right
ownpal = 1
ignorehitpause = 1

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Crouch, A (Punch)
[Statedef 400]
type    = C
movetype= A
physics = C
juggle  = 1
velset = 0,0
ctrl = 0
anim = 400
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage = 48, 0
animtype = Medium
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = var(10), var(10)
sparkno = s8000
guard.sparkno = s8050
sparkxy = -24, -72
hitsound = S1, 0
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 14
ground.hittime  = 14
air.hittime = 14
guard.hittime = 6
ground.velocity = -5
air.velocity = -1,-1
air.fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Crouch, B (Kick)
[Statedef 500]
type    = C
movetype= A
physics = C
juggle  = 1
velset = 0,0
ctrl = 0
anim = 500
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage = 64, 0
animtype = Medium
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = var(10), var(10)
sparkno = s8000
guard.sparkno = s8050
sparkxy = -32, -16
hitsound = S1, 0
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 18
ground.hittime  = 18
air.hittime = 18
guard.hittime = 8
ground.velocity = -6
air.velocity = -3,-1
air.fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; df, B (Leg Crush)
[Statedef 510]
type    = C
movetype= A
physics = N
juggle  = 1
velset = 0,0
ctrl = 0
anim = 510
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 0, VelSet]
type = VelSet
trigger1 = AnimElemNo(0) = 2
x = 9
[State 0, VelMul]
type = VelMul
trigger1 = 1 
x = 0.85

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage = 88, 0
animtype = Medium
guardflag = L
hitflag = MAF
priority = 4, Hit
pausetime = var(10), var(10)
sparkno = s8010
guard.sparkno = s8060
sparkxy = -24, -24
hitsound = S1, 4
guardsound = S3, 0
ground.type = Trip
air.type = Trip
ground.slidetime = 14
ground.hittime  = 14
air.hittime = 14
guard.hittime = 10
ground.velocity = -4,-4
air.velocity = -4,-1
fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Air, A (Punch)
[Statedef 600]
type    = A
movetype= A
physics = A
juggle  = 1
ctrl = 0
anim = 600
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage = 56, 0
animtype = Medium
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = var(10), var(10)
sparkno = s8000
guard.sparkno = s8050
sparkxy = -24, -40
hitsound = S1, 0
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 18
ground.hittime  = 18
air.hittime = 18
guard.hittime = 6
ground.velocity = -4
air.velocity = -3,-3
air.fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, CtrlSet]
type = CtrlSet
trigger1 = AnimElem = 4
value = 1

;---------------------------------------------------------------------------
; Air, d, A (Punch 2)
[Statedef 610]
type    = A
movetype= A
physics = A
juggle  = 1
ctrl = 0
anim = 610
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage = 72, 0
animtype = Heavy
guardflag = H
hitflag = MAF
priority = 6, Hit
pausetime = var(10), var(10)
sparkno = s8010
guard.sparkno = s8060
sparkxy = -24, -40
hitsound = S1, 0
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 20
ground.hittime  = 20
air.hittime = 20
guard.hittime = 6
ground.velocity = -10
air.velocity = -4,-4
air.fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, CtrlSet]
type = CtrlSet
trigger1 = AnimElem = 4
value = 1

;---------------------------------------------------------------------------
; Air, B (Kick)
[Statedef 700]
type    = A
movetype= A
physics = A
juggle  = 1
ctrl = 0
anim = 700
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage = 56, 0
animtype = Medium
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = var(10), var(10)
sparkno = s8000
guard.sparkno = s8050
sparkxy = -24, -40
hitsound = S1, 0
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 14
ground.hittime  = 14
air.hittime = 14
guard.hittime = 6
ground.velocity = -4
air.velocity = -1,-1
air.fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, CtrlSet]
type = CtrlSet
trigger1 = AnimElem = 6
value = 1

;---------------------------------------------------------------------------
; Air, d, B (Kick 2)
[Statedef 710]
type    = A
movetype= A
physics = A
juggle  = 1
ctrl = 0
anim = 710
sprpriority = 2

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0, 0
channel = 1

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage = 80, 0
animtype = Heavy
guardflag = H
hitflag = MAF
priority = 5, Hit
pausetime = var(10), var(10)
sparkno = s8010
guard.sparkno = s8060
sparkxy = -24, -24
hitsound = S1, 4
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 28
ground.hittime  = 28
air.hittime = 28
guard.hittime = 6
ground.velocity = -4,-4
air.velocity = -6,-2
fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, CtrlSet]
type = CtrlSet
trigger1 = AnimElem = 6
value = 1

;---------------------------------------------------------------------------
; u, B (Overhead Kick)
[Statedef 720]
type    = A
movetype= A
physics = N
juggle  = 1
ctrl = 0
anim = 720
velset = 0,0
sprpriority = 2

[State 0, VelSet]
type = VelSet
trigger1 = Time = 0
y = -8
[State 0, VelSet]
type = VelSet
trigger1 = Time = 0
trigger1 = command = "holdfwd" || command = "holdback"
x = ifelse(command = "holdfwd",4,-4)
[State 0, VelMul]
type = VelMul
trigger1 = 1 
x = 0.9
[State 0, VelAdd]
type = VelAdd
trigger1 = Time < 40
y = .3
[State 0, VelAdd]
type = VelAdd
trigger1 = Time >= 40
y = .6

[State 200, Snd Voice]
type = PlaySnd
trigger1 = Time = 0
value = S5, 1
channel = 0
[State 200, Snd Swing]
type = PlaySnd
trigger1 = Time = 0
value = S0, 0
channel = 1

[State 0, NotHitBy]
type = NotHitBy
trigger1 = Time = 0
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 2

[State 200, 1]
type = HitDef
trigger1 = !MoveContact
attr = A, NA
damage = 96, 14
animtype = Medium
guardflag = H
hitflag = MAF
priority = 4, Hit
pausetime = var(10), var(10)
sparkno = s8010
guard.sparkno = s8060
sparkxy = -24, -80
hitsound = S1, 0
guardsound = S3, 0
ground.type = High
air.type = High
ground.slidetime = 18
ground.hittime  = 18
air.hittime = 18
guard.hittime = 14
ground.velocity = -3,-12
air.velocity = ifelse(P2Dist X < 0,6,-6),-6
p2facing = ifelse(P2Dist X < 0,-1,1)
fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, Helper]
type = Helper
triggerall = MoveHit = 1
triggerall = NumExplod(8020) + NumExplod (8031) + NumHelper(8030) < Var(11)
trigger1 = Var(9) = 1
trigger2 = Var(9) = 2 && Random < 500
trigger3 = Var(9) = 3 && Random < 250
helpertype = normal
name = "Blood Drop"
ID = 8030
stateno = 8030
pos = 56,-64
postype = p1    ;p2,front,back,left,right
ownpal = 1
ignorehitpause = 1

[State 200, 7]
type = ChangeState
trigger1 = Pos Y + Vel Y >= 0
trigger1 = Time > 4
value = 261

; --------------------------
; Throw Attempt
[Statedef 800]
type = S
movetype= A
physics = S
ctrl = 0
velset = 0,0
anim = 800

[State 0, 1]
type = HitDef
trigger1 = Time = 0
attr = S, NT
hitflag = M
priority = 1, Miss
sparkno = -1
p1facing = ifelse (command = "holdfwd", 1,-1)
p2facing = 1
p1stateno = 810
p2stateno = 820
numhits = 0
fall = 1

[State 0, 2]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;----------------------------------------------------------------------
; Throw Success
[Statedef 810]
type = S
movetype= I
physics = N
anim = 810
poweradd = 60
sprpriority = 2

[State 0, Width]
type = Width
trigger1 = Time = 0
edge = 48,32

[State 810, Bind 1]
type = TargetBind
trigger1 = Time < 34
pos = 40, 0

[State 0, HitAdd]
type = HitAdd
trigger1 = AnimElem = 4
trigger2 = AnimElem = 7
trigger3 = AnimElem = 9
trigger4 = AnimElem = 12
trigger5 = AnimElem = 15
value = 1

[State 0, TargetLifeAdd]
type = TargetLifeAdd
trigger1 = AnimElem = 4
trigger2 = AnimElem = 7
trigger3 = AnimElem = 9
trigger4 = AnimElem = 12
value = -16
kill = 0

[State 0, TargetLifeAdd]
type = TargetLifeAdd
trigger1 = AnimElem = 15
value = -72

[State 0, Snd Hit]
type = PlaySnd
trigger1 = AnimElem = 4
trigger2 = AnimElem = 7
trigger3 = AnimElem = 9
trigger4 = AnimElem = 12
value = S1,0

[State 0, Snd Hit]
type = PlaySnd
trigger1 = AnimElem = 15
value = S1,4

[State 0, HitSpark S]
type = Explod
trigger1 = AnimElem = 4
trigger2 = AnimElem = 7
trigger3 = AnimElem = 9
trigger4 = AnimElem = 12
anim = 8000
ID = 8000
pos = 56,-96
postype = p1
removetime = -2
scale = 1,1
sprpriority = 9
ontop = 1
ownpal = 1
removeongethit = 0

[State 0, HitSpark L]
type = Explod
trigger1 = AnimElem = 15
anim = 8010
ID = 8010
pos = 40,-104
postype = p1
removetime = -2
scale = 1,1
sprpriority = 9
ontop = 1
ownpal = 1
removeongethit = 0

[State 0, TargetState]
type = TargetState
trigger1 = AnimElem = 15
value = 821

[State 0, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;----------------------------------------------------------------------
; Throw Victim
[Statedef 820]
type = A
movetype = H
physics = N
velset = 0,0

[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = Time = 0
value = 5015

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = Time = 20
trigger2 = Time = 28
trigger3 = Time = 36
trigger4 = Time = 44
value = 5001

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = AnimTime = 0
trigger1 = Anim = 5001
value = 5006

;----------------------------------------------------------------------
; Throw Victim Thrown
[Statedef 821]
type = A
movetype = H
physics = N
velset = -2,-16
poweradd = 40

[State 0, ChangeAnim]
type = ChangeAnim2
trigger1 = Time = 0
value = 821

[State 821, 1] ;Gravity
type = VelAdd
Trigger1 = 1
y = .8

[State 0, EnvShake]
type = EnvShake
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
time = 8
freq = 90
ampl = -16
phase = 90

[State 821, 4]
type = SelfState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 5100

; --------------------------
; Sky High Fall Attempt
[Statedef 900]
type = S
movetype= A
physics = S
ctrl = 0
velset = 0,0
anim = 800

[State 0, 1]
type = HitDef
trigger1 = Time = 0
attr = S, ST
hitflag = MAF
priority = 1, Miss
sparkno = -1
p1facing = 1
p2facing = 1
p1stateno = 910
p2stateno = 920
numhits = 0
fall = 1

[State 0, 2]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;----------------------------------------------------------------------
; SkyHighFall Success
[Statedef 910]
type = S
movetype= I
physics = N
anim = 910
poweradd = 60
sprpriority = 2

[State 0, Width]
type = Width
trigger1 = Time = 0
edge = 48,32

[State 0, Snd Voice]
type = PlaySnd
trigger1 = Time = 0
value = S5,0
channel = 0
[State 0, Snd Jump]
type = PlaySnd
trigger1 = AnimElem = 6
value = S2,0

[State 810, Bind 1]
type = TargetBind
trigger1 = AnimElemNo(0) = [1,5]
pos = 40, 0
[State 810, Bind 2]
type = TargetBind
trigger1 = AnimElemNo(0) = 6
pos = 40, -104
[State 810, Bind 3]
type = TargetBind
trigger1 = AnimElemNo(0) = 7
pos = -16, -128
[State 810, Bind 4]
type = TargetBind
trigger1 = AnimElemNo(0) = 8
pos = -40, -80
[State 810, Bind 5]
type = TargetBind
trigger1 = AnimElemNo(0) = 9
pos = -24, -40

[State 0, VelSet]
type = VelSet
trigger1 = AnimElem = 6
y = -16

[State 0, VelSet]
type = VelMul
trigger1 = Time = [32,74]
y = 0.925

[State 0, VelSet]
type = VelAdd
trigger1 = Time > 74
y = .66

[State 0, Turn]
type = Turn
triggerall = Time > 80
trigger1 = Pos Y + Vel Y >= 0

[State 0, ChangeState]
type = ChangeState
triggerall = Time > 80
trigger1 = Pos Y + Vel Y >= 0
value = 911
ctrl = 1

;----------------------------------------------------------------------
; SkyHighFall Jump Back
[Statedef 911]
type = A
movetype= I
physics = A
anim = 911
velset = -4,-5.66
sprpriority = 2

[State 0, Helper]
type = Helper
trigger1 = Time <= 3
helpertype = normal
name = "Blood Drop"
ID = 8030
stateno = 8030
pos = 32+random%16,-32-random%32
postype = p1    ;p2,front,back,left,right
ownpal = 1
ignorehitpause = 1

[State 0, HitAdd]
type = HitAdd
trigger1 = Time = 0
value = 1

[State 0, TargetLifeAdd]
type = TargetLifeAdd
trigger1 = Time = 0
value = -128

[State 0, TargetState]
type = TargetState
trigger1 = Time = 0
value = 921

[State 0, PosSet]
type = PosSet
trigger1 = Time = 0
y = -8

[State 810, Bind 5]
type = TargetBind
trigger1 = Time = 0
pos = 24, 8

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = S2,3

[State 0, EnvShake]
type = EnvShake
trigger1 = Time = 0
time = 8
freq = 90
ampl = -16
phase = 90

;----------------------------------------------------------------------
; SkyHighFall Victim
[Statedef 920]
type = A
movetype = H
physics = N
velset = 0,0

[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 0, ScreenBound]
type = ScreenBound
trigger1 = 1
movecamera = 0,0

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0

[State 0, ChangeAnim]
type = ChangeAnim2
trigger1 = Time = 0
value = 920

;----------------------------------------------------------------------
; SkyHighFall Thrown
[Statedef 921]
type = A
movetype = H
physics = N
velset = 0,0
poweradd = 40

[State 0, Turn]
type = Turn
trigger1 = Time = 0

[State 0, PosSet]
type = PosSet
trigger1 = Time = 0
y = 0

[State 0, ChangeAnim]
type = ChangeAnim2
trigger1 = Time = 0
value = 921

[State 0, ChangeState]
type = ChangeState
trigger1 = Time = 4
value = 922

;----------------------------------------------------------------------
; SkyHighFall Thrown 2
[Statedef 922]
type = A
movetype = H
physics = N
velset = -2,-8

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = Time = 0
value = 5050

[State 821, 1] ;Gravity
type = VelAdd
Trigger1 = 1
y = .36

[State 0, EnvShake]
type = EnvShake
triggerall = Time > 2
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
time = 8
freq = 90
ampl = -16
phase = 90

[State 821, 4]
type = SelfState
triggerall = Time > 2
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 5100

;---------------------------------------------------------------------------
; Shoot Arrow
[Statedef 1000]
type    = A
movetype= A
physics = N
juggle  = 1
velset = 0,-1
ctrl = 0
anim = 1000
sprpriority = 2

[State 0, VarSet]
type = VarSet
trigger1 = Time = 0
v = 5
value = ifelse(command="b",1,ifelse(command="c",2,0))
[State 0, VarSet]
type = VarSet
trigger1 = Time = 0
trigger1 = Var(15) != 0
v = 5
value = ifelse(P2BodyDist Y > 0,1,ifelse(P2BodyDist Y < 0,2,0))
[State 0, VarSet]
type = VarSet
trigger1 = Time = 0
trigger1 = Var(15) != 0
trigger1 = PrevStateNo = 911
v = 5
value = 0

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = Time = 0
value = 1000+(10*Var(5))

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 6
value = S2, 4

[State 0, VelAdd]
type = VelAdd
trigger1 = AnimElemNo(0) <= 6
y = .04

[State 0, Width]
type = Width
trigger1 = AnimElem = 6
edge = 18,0
player = 18,0

[State 0, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 7
movetype = I
physics = A

[State 0, Helper]
type = Helper
trigger1 = AnimElem = 6
helpertype = normal
name = "Arrow"
ID = 1001
stateno = 1001
pos = 32,-96
postype = p1
ownpal = 1

;---------------------------------------------------------------------------
; Arrow Helper
[Statedef 1001]
type    = A
movetype= A
physics = N
velset = 20,0
juggle  = 1
anim = 1001
sprpriority = 4

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = Time = 0 
value = 1001+(Parent,Var(5))

[State 0, PosAdd]
type = PosAdd
trigger1 = Time = 0
trigger1 = Anim = 1002
x = 8
y = 16
[State 0, PosAdd]
type = PosAdd
trigger1 = Time = 0
trigger1 = Anim = 1003
x = -8
y = -16

[State 0, AngleDraw]
type = AngleDraw
trigger1 = 1

[State 0, AngleSet]
type = AngleSet
trigger1 = Time = 0
trigger1 = Parent,Anim = 1010
value = 315
[State 0, AngleSet]
type = AngleSet
trigger1 = Time = 0
trigger1 = Parent,Anim = 1020
value = 45

[State 0, VelSet]
type = VelSet
trigger1 = Time = 0
trigger1 = Parent,Anim = 1010
x = 16
y = 16
[State 0, VelSet]
type = VelSet
trigger1 = Time = 0
trigger1 = Parent,Anim = 1020
x = 16
y = -16

[State 210, 1]
type = HitDef
trigger1 = Time = 0
attr = A, SP
damage = 72, 10
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 2, Hit
pausetime = 0, ceil(var(10)*0.5)
sparkno = s8010
guard.sparkno = s8060
sparkxy = 0, 0
hitsound = S1, 4
guardsound = S3, 0
ground.type = High
air.type = Trip
ground.slidetime = 24
ground.hittime  = 24
air.hittime = 24
guard.hittime = 6
ground.velocity = -6
air.velocity = -3,-5
air.fall = 1
fall.recover = 0
yaccel = 0.5
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, Explod]
type = Explod
trigger1 = MoveContact
trigger2 = Pos Y + Vel Y >= 0
anim = 1005
ID = 1005
pos = 0,0
postype = p1
removetime = -2
scale = 1,1
sprpriority = 4
ownpal = 1

[State 0, Explod]
type = Explod
trigger1 = MoveHit
anim = 8020
ID = 8020
pos = 8, -8
postype = p1
vel = 2+(random%300*0.01),-2-(random%200*0.01)
accel = -.05,.15
removetime = -2
scale = 0.5+(random%50*0.01),0.5+(random%50*0.01)
ownpal = 1
ignorehitpause = 1

[State 200, 7]
type = DestroySelf
trigger1 = Time = 64
trigger2 = MoveContact
trigger3 = Pos Y + Vel Y >= 0

;---------------------------------------------------------------------------
; f, f, C (Screaming Knuckle)
[Statedef 2000]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
ctrl = 0
anim = 2000
poweradd = -1000
sprpriority = 2

[State 0, StopSnd]
type = StopSnd
trigger1 = Time = 1
channel = 0

[State 3000, Super]
type = SuperPause
trigger1 = Time = 0
pos = 8, -80
anim = 100
time = 24
sound = 20, 0
p2defmul = Var(12)*0.01

[State 0, Snd Voice]
type = PlaySnd
trigger1 = Time = 4
value = S5,3
channel = 0

[State 0, VelSet]
type = VelSet
trigger1 = AnimElemNo(0) = 2
x = 12
[State 0, VelSet]
type = VelSet
trigger1 = AnimElem = 3
x = 0

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = S, HA
damage = 16, 2
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = var(10), var(10)
sparkno = s8000
guard.sparkno = s8050
sparkxy = -16, -64
hitsound = S1, 0
guardsound = S3, 0
ground.type = Low
air.type = High
ground.slidetime = 16
ground.hittime  = 16
air.hittime = 16
ground.velocity = 0
air.velocity = 0,0
p2stateno = 2010
kill = 0
snap = 40,0
yaccel = 0.5

[State 0, ChangeState]
type = ChangeState
trigger1 = MoveHit
value = 2001

[State 0, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Screaming Knuckle Success
[Statedef 2001]
type    = S
movetype= A
physics = S
velset = 0,0
anim = 2001
sprpriority = 2

[State 0, PlayerPush]
type = PlayerPush
trigger1 = Anim = 2001 
value = 0

[State 0, Snd Voice]
type = PlaySnd
trigger1 = Time = 2
value = S5,2
channel = 0

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = AnimTime = 0
trigger1 = Anim = 2001
trigger1 = Time >= 75
value = 2002

[State 200, 1]
type = HitDef
triggerall = Anim = 2001
trigger1 = AnimElem = 2
trigger2 = AnimElem = 4
trigger3 = AnimElem = 7
attr = S, HA
damage = 16, 1
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
pausetime = 0, 0
sparkno = s8010
guard.sparkno = s8060
sparkxy = -24, -96
hitsound = S1, 4
guardsound = S3, 0
getpower = 0,0
ground.type = High
air.type = High
ground.slidetime = 24
ground.hittime  = 24
air.hittime = 24
guard.hittime = 20
ground.velocity = 0
air.velocity = 0,-1
kill = 0
p2facing = 1
p2stateno = 2010
snap = 40,0
yaccel = .2

[State 210, 1]
type = HitDef
triggerall = Anim = 2002
trigger1 = AnimElem = 3
attr = S, HA
damage = 72, 7
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 3, Hit
pausetime = var(10), var(10)
sparkno = s8010
guard.sparkno = s8060
sparkxy = -24, -104
hitsound = S1, 4
guardsound = S3, 0
getpower = 0,0
ground.type = High
air.type = High
ground.slidetime = 28
ground.hittime  = 28
air.hittime = 28
ground.velocity = -4,-14
air.velocity = -4,-14
fall = 1
fall.recover = 0
p2facing = 1
yaccel = 0.75
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, Helper]
type = Helper
triggerall = MoveHit = 1
triggerall = Anim = 2002
triggerall = NumExplod(8020) + NumExplod (8031) + NumHelper(8030) < Var(11)
trigger1 = Var(9) = 1
trigger2 = Var(9) = 2 && Random < 500
trigger3 = Var(9) = 3 && Random < 250
helpertype = normal
name = "Blood Drop"
ID = 8030
stateno = 8030
pos = 40,-88
postype = p1    ;p2,front,back,left,right
ownpal = 1
ignorehitpause = 1

[State 0, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
trigger1 = Anim = 2002
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Get Hit Force Stand Shaking
[Statedef 2010]
type    = S
movetype= H
physics = S
velset = 0,0

[State 5000, 1] ;Anim for HIT_LIGHT to HIT_HARD
type = ChangeAnim
trigger1 = Time = 0
value = 5000

[State 5000, 4] ;Freeze anim
type = ChangeAnim
trigger1 = Time > 0
value = anim

[State 0, PosSet]
type = PosSet
trigger1 = 1
y = 0

[State 5000, 6]
type = ChangeState
trigger1 = Time = 1
value = 2011

;---------------------------------------------------------------------------
; Get Hit Force Stand Knocked Back
[Statedef 2011]
type    = S
movetype= H
physics = S

[State 5001, 2]
type = ChangeAnim
trigger1 = AnimTime = 0
value = 5005

[State 5001, 3] ;Stop sliding back
type = VelMul
trigger1 = 1
x = .6

[State 5001, 4]
type = VelSet
trigger1 = HitOver
x = 0

[State 5001, 5]
type = DefenceMulSet
trigger1 = HitOver
value = 1

[State 5001, 6]
type = SelfState
trigger1 = HitOver
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; d, b, C (Arrow Barrage)
[Statedef 2100]
type    = U
movetype= A
physics = N
juggle  = 1
velset = 0,-0.70
ctrl = 0
anim = 2100
poweradd = -1000
sprpriority = 2

[State 3000, Super]
type = SuperPause
trigger1 = Time = 0
pos = 16, -112
anim = 100
time = 24
sound = 20, 0
p2defmul = Var(12)*0.01

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = Time = 0
value = ifelse(StateType=A,2101,2100)

[State 0, StateTypeSet]
type = StateTypeSet
trigger1 = Time = 0
statetype = A

[State 200, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 6
trigger2 = AnimElem = 8
trigger3 = AnimElem = 10
value = S2, 4

[State 0, VelAdd]
type = VelAdd
trigger1 = AnimElemNo(0) <= 10
y = .033

[State 0, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 11
movetype = I
physics = A

[State 0, Width]
type = Width
trigger1 = AnimElem = 6
trigger2 = AnimElem = 8
trigger3 = AnimElem = 10
edge = 24,0
player = 24,0

[State 0, Helper]
type = Helper
triggerall = Anim = 2100
trigger1 = AnimElem = 6
helpertype = normal
name = "Arrow S1"
ID = 2101
stateno = 2110
pos = 40,-96
postype = p1
ownpal = 1
[State 0, Helper]
type = Helper
triggerall = Anim = 2100
trigger1 = AnimElem = 8
helpertype = normal
name = "Arrow S2"
ID = 2101
stateno = 2111
pos = 32,-104
postype = p1
ownpal = 1
[State 0, Helper]
type = Helper
triggerall = Anim = 2100
trigger1 = AnimElem = 8
helpertype = normal
name = "Arrow S3"
ID = 2101
stateno = 2112
pos = 32,-88
postype = p1
ownpal = 1
[State 0, Helper]
type = Helper
triggerall = Anim = 2100
trigger1 = AnimElem = 10
helpertype = normal
name = "Arrow S4"
ID = 2101
stateno = 2113
pos = 24,-112
postype = p1
ownpal = 1
[State 0, Helper]
type = Helper
triggerall = Anim = 2100
trigger1 = AnimElem = 10
helpertype = normal
name = "Arrow S5"
ID = 2101
stateno = 2114
pos = 24,-80
postype = p1
ownpal = 1

[State 0, Helper]
type = Helper
triggerall = Anim = 2101
trigger1 = AnimElem = 6
helpertype = normal
name = "Arrow A1"
ID = 2101
stateno = 2120
pos = 56,-56
postype = p1
ownpal = 1
[State 0, Helper]
type = Helper
triggerall = Anim = 2101
trigger1 = AnimElem = 8
helpertype = normal
name = "Arrow A2"
ID = 2101
stateno = 2121
pos = 48,-48
postype = p1
ownpal = 1
[State 0, Helper]
type = Helper
triggerall = Anim = 2101
trigger1 = AnimElem = 8
helpertype = normal
name = "Arrow A3"
ID = 2101
stateno = 2122
pos = 64,-64
postype = p1
ownpal = 1
[State 0, Helper]
type = Helper
triggerall = Anim = 2101
trigger1 = AnimElem = 10
helpertype = normal
name = "Arrow A4"
ID = 2101
stateno = 2123
pos = 40,-40
postype = p1
ownpal = 1
[State 0, Helper]
type = Helper
triggerall = Anim = 2101
trigger1 = AnimElem = 10
helpertype = normal
name = "Arrow A5"
ID = 2101
stateno = 2124
pos = 72,-72
postype = p1
ownpal = 1

;---------------------------------------------------------------------------
; Super Arrow Helper
[Statedef 2101]
type    = A
movetype= A
physics = N
juggle  = 1
anim = 1001
sprpriority = 4

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = Time = 0
value = ifelse(Vel Y < 3,1001,1002)

[State 0, AngleDraw]
type = AngleDraw
trigger1 = 1

[State 210, 1]
type = HitDef
trigger1 = Time = 0
attr = A, HP
damage = 56, 8
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 2, Hit
pausetime = 0, ceil(var(10)*0.5)
sparkno = s8010
guard.sparkno = s8060
sparkxy = 0, 0
hitsound = S1, 4
guardsound = S3, 0
ground.type = High
air.type = Trip
ground.slidetime = 24
ground.hittime  = 24
air.hittime = 24
guard.hittime = 12
ground.velocity = -3,-6;-6
air.velocity = -3,-6
fall = 1
fall.recover = 0
yaccel = 0.5
getpower = 0,0
fall.envshake.time = 8
fall.envshake.freq = 90
fall.envshake.ampl = -16
fall.envshake.phase = 90

[State 0, Explod]
type = Explod
trigger1 = MoveContact
trigger2 = Pos Y + Vel Y >= 0
anim = 1005
ID = 1005
pos = 0,0
postype = p1
removetime = -2
scale = 1,1
sprpriority = 4
ownpal = 1

[State 0, Explod]
type = Explod
trigger1 = MoveHit
anim = 8020
ID = 8020
pos = 8, -8
postype = p1
vel = 2+(random%300*0.01),-2-(random%200*0.01)
accel = -.05,.15
removetime = -2
scale = 0.5+(random%50*0.01),0.5+(random%50*0.01)
ownpal = 1
ignorehitpause = 1

[State 200, 7]
type = DestroySelf
trigger1 = Time = 64
trigger2 = MoveContact
trigger3 = Pos Y + Vel Y >= 0

;---------------------------------------------------------------------------
; Super Arrow F0
[Statedef 2110]
type    = A
movetype= A
physics = N
velset = 18,0
anim = 666

[State 0, ChangeState]
type = ChangeState
trigger1 = 1
value = 2101

;---------------------------------------------------------------------------
; Super Arrow F1
[Statedef 2111]
type    = A
movetype= A
physics = N
velset = 17,-0.66
anim = 666

[State 0, AngleSet]
type = AngleSet
trigger1 = 1 
value = 3

[State 0, ChangeState]
type = ChangeState
trigger1 = 1
value = 2101

;---------------------------------------------------------------------------
; Super Arrow F2
[Statedef 2112]
type    = A
movetype= A
physics = N
velset = 17,0.66
anim = 666

[State 0, AngleSet]
type = AngleSet
trigger1 = 1 
value = -3

[State 0, ChangeState]
type = ChangeState
trigger1 = 1
value = 2101

;---------------------------------------------------------------------------
; Super Arrow F3
[Statedef 2113]
type    = A
movetype= A
physics = N
velset = 16,-1.33
anim = 666

[State 0, AngleSet]
type = AngleSet
trigger1 = 1 
value = 6

[State 0, ChangeState]
type = ChangeState
trigger1 = 1
value = 2101

;---------------------------------------------------------------------------
; Super Arrow F4
[Statedef 2114]
type    = A
movetype= A
physics = N
velset = 16,1.33
anim = 666

[State 0, AngleSet]
type = AngleSet
trigger1 = 1 
value = -6

[State 0, ChangeState]
type = ChangeState
trigger1 = 1
value = 2101

;---------------------------------------------------------------------------
; Super Arrow D0
[Statedef 2120]
type    = A
movetype= A
physics = N
velset = 14,14
anim = 666

[State 0, AngleSet]
type = AngleSet
trigger1 = 1 
value = -45

[State 0, ChangeState]
type = ChangeState
trigger1 = 1
value = 2101

;---------------------------------------------------------------------------
; Super Arrow D1
[Statedef 2121]
type    = A
movetype= A
physics = N
velset = 13,15
anim = 666

[State 0, AngleSet]
type = AngleSet
trigger1 = 1 
value = -47

[State 0, ChangeState]
type = ChangeState
trigger1 = 1
value = 2101

;---------------------------------------------------------------------------
; Super Arrow D2
[Statedef 2122]
type    = A
movetype= A
physics = N
velset = 15,13
anim = 666

[State 0, AngleSet]
type = AngleSet
trigger1 = 1 
value = -43

[State 0, ChangeState]
type = ChangeState
trigger1 = 1
value = 2101

;---------------------------------------------------------------------------
; Super Arrow D3
[Statedef 2123]
type    = A
movetype= A
physics = N
velset = 12,16
anim = 666

[State 0, AngleSet]
type = AngleSet
trigger1 = 1 
value = -49

[State 0, ChangeState]
type = ChangeState
trigger1 = 1
value = 2101

;---------------------------------------------------------------------------
; Super Arrow D4
[Statedef 2124]
type    = A
movetype= A
physics = N
velset = 16,12
anim = 666

[State 0, AngleSet]
type = AngleSet
trigger1 = 1 
value = -41

[State 0, ChangeState]
type = ChangeState
trigger1 = 1
value = 2101

;---------------------------------------------------------------------------
; d, u, C (Giant Crusher)
[Statedef 2200]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
ctrl = 0
anim = 2200
poweradd = -1000
sprpriority = 2

[State 0, Snd Voice]
type = PlaySnd
trigger1 = Time = 0
value = S5,0
channel = 0
[State 0, Snd Swing]
type = PlaySnd
trigger1 = AnimElem = 2
value = S0,0

[State 0, NotHitBy]
type = NotHitBy
trigger1 = Time = 0 
value = SCA
time = 5

[State 3000, Super]
type = SuperPause
trigger1 = Time = 0
pos = 8, -80
anim = 100
time = 24
sound = 20, 0
p2defmul = Var(12)*0.01

[State 0, PosAdd]
type = PosAdd
trigger1 = AnimElem = 2
trigger2 = AnimElem = 3
x = 8

[State 200, 1]
type = HitDef
trigger1 = Time = 0
attr = S, HA
damage = 64, 9
animtype = Heavy
guardflag = M
hitflag = MAF
priority = 4, Hit
;pausetime = var(10), var(10)
sparkno = s8010
guard.sparkno = s8060
sparkxy = -16, -104
hitsound = S1, 3
guardsound = S3, 0
ground.type = Low
air.type = High
ground.slidetime = 16
ground.hittime  = 16
air.hittime = 16
ground.velocity = 0
air.velocity = 0,0
kill = 0
p1facing = 1
p2facing = 1
getpower = 0,0
p1stateno = 2201
p2stateno = 2210
yaccel = 0.5

[State 0, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;----------------------------------------------------------------------
; GiantCrush Success
[Statedef 2201]
type = S
movetype= I
physics = N
anim = 2201
sprpriority = -1

[State 0, Snd Voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = S5,2
channel = 0

[State 0, Width]
type = Width
trigger1 = 1
edge = 48,32

[State 0, ScreenBound]
type = ScreenBound
trigger1 = Time > 4
movecamera = 0,0

[State 0, Snd Jump]
type = PlaySnd
trigger1 = AnimElem = 2
value = S2,0

[State 810, Bind 1]
type = TargetBind
trigger1 = AnimElemNo(0) = 1
pos = 32, -128
[State 810, Bind 3]
type = TargetBind
trigger1 = AnimElemNo(0) = 2
pos = -16, -128
[State 810, Bind 4]
type = TargetBind
trigger1 = AnimElemNo(0) = 3
pos = -40, -80
[State 810, Bind 5]
type = TargetBind
trigger1 = AnimElemNo(0) = 4
pos = -24, -40

[State 0, VelSet]
type = VelSet
trigger1 = AnimElem = 2
x = -1
y = -32

[State 0, VelSet]
type = VelAdd
trigger1 = Time > 12
y = 1

[State 0, Turn]
type = Turn
triggerall = Time > 16
trigger1 = Pos Y + Vel Y >= 0

[State 0, ChangeState]
type = ChangeState
triggerall = Time > 16
trigger1 = Pos Y + Vel Y >= 0
value = 2202

;----------------------------------------------------------------------
; GiantCrush Jump Back
[Statedef 2202]
type = A
movetype= I
physics = A
anim = 911
velset = -4,-10
sprpriority = 2

[State 0, Helper]
type = Helper
trigger1 = Time <= 3
helpertype = normal
name = "Blood Drop"
ID = 8030
stateno = 8030
pos = 32+random%16,-32-random%32
postype = p1    ;p2,front,back,left,right
ownpal = 1
ignorehitpause = 1

[State 0, Explod]
type = Explod
trigger1 = Time <= 4
anim = 8010
ID = 8010
pos = 24+random%24,16-random%32
postype = p1
removetime = -2
scale = 1,1
sprpriority = 9
ownpal = 1

[State 0, HitAdd]
type = HitAdd
trigger1 = Time = 0
value = 1

[State 0, TargetLifeAdd]
type = TargetLifeAdd
trigger1 = Time = 0
value = -248

[State 0, TargetState]
type = TargetState
trigger1 = Time = 0
value = 921

[State 0, PosSet]
type = PosSet
trigger1 = Time = 0
y = 0

[State 810, Bind 5]
type = TargetBind
trigger1 = Time = 0
pos = 24, 8

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
trigger2 = Time = 3
trigger3 = Time = 6
value = S2,3

[State 0, EnvShake]
type = EnvShake
trigger1 = Time = 0
time = 16
freq = 90
ampl = -16
phase = 90

;----------------------------------------------------------------------
; GiantCrush Victim
[Statedef 2210]
type = A
movetype = H
physics = N
velset = 0,0

[State 0, Offset]
type = Offset
trigger1 = AnimElemNo(0) = 1 
x = -2+random%5
y = -2+random%5

[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 0, ScreenBound]
type = ScreenBound
trigger1 = 1
movecamera = 0,0

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0

[State 0, ChangeAnim]
type = ChangeAnim2
trigger1 = Time = 0
value = 2210

;---------------------------------------------------------------------------
; Downed get-hit (hit ground from fall)
[Statedef 5100]
type    = L
movetype= H
physics = N

[State 5100, 2004.04.14 behavior]
type = null;VelSet
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) = 0
trigger1 = vel x < -1
x = -1

[State 0, EnvShake]
type = EnvShake
trigger1 = Time = 0
time = 8
freq = 90
ampl = -16
phase = 90

[State 5100, EnvShake]
type = FallEnvShake
trigger1 = Time = 0

[State 5100, Var] ;Save fall velocity
type = VarSet
trigger1 = Time = 0
sysvar(1) = floor(vel y)

[State 5100, 2] ;Hit ground anim (normal)
type = ChangeAnim
triggerall = time = 0
trigger1 = (anim != [5051,5059]) && (anim != [5061,5069])
trigger2 = !SelfAnimExist(5100 + (anim % 10))
value = 5100

[State 5100, 3] ;Hit ground anim (for hit up)
type = ChangeAnim
trigger1 = time = 0
trigger1 = (anim = [5051,5059]) || (anim = [5061,5069])
trigger1 = SelfAnimExist(5100 + (anim % 10))
value = 5100 + (anim % 10)

[State 5100, 4]
type = PosSet
trigger1 = Time = 0
y = 0

[State 5100, 5]
type = VelSet
trigger1 = Time = 0
y = 0

[State 5100, 6] ;Reduce speed
type = VelMul
trigger1 = Time = 0
x = 0.75

[State 5100, 7]
type = ChangeState
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) = 0
value = 5110 ;Downed get-hit (lying down)

;[State 5100, 8]
;type = Explod
;trigger1 = Time = 1
;anim = F(60 + (sysvar(1) > Const720p(20)) + (sysvar(1) > Const720p(56)))
;pos = 0, 0
;sprpriority = ifelse (sysvar(1) <= Const720p(56), -10, 10)

[State 5100, 9]
type = HitFallDamage
trigger1 = Time = 3

[State 5100, 11]
type = PosFreeze
trigger1 = 1

[State -3, Fall Sound]
type = PlaySnd
trigger1 = Time = 1
value = S2, 3

[State 5100, 12]
type = ChangeState
trigger1 = AnimTime = 0
value = 5101 ;Downed get-hit (bounce off ground)

[State 5100, 13]
type = ForceFeedback
trigger1 = Time = 0
waveform = sinesquare
ampl = 128,-3,-.2,.005
time = 20


;---------------------------------------------------------------------------
; Downed get-hit (lying down)
[Statedef 5110]
type    = L
movetype= H
physics = N

;[State 0, EnvShake]
;type = EnvShake
;trigger1 = Time = 0
;time = 8
;freq = 90
;ampl = -16
;phase = 90

[State 5110, EnvShake]
type = FallEnvShake
trigger1 = Time = 0

[State 5110, 1] ;For hit up/up-diag type (from state 5081)
type = ChangeAnim
persistent = 0
trigger1 = SelfAnimExist(5110 + (anim % 10))
trigger1 = anim = [5081,5089]
value = 5110 + (anim % 10)

[State 5110, 2] ;Hit ground anim (normal)
type = ChangeAnim
triggerall = time = 0
triggerall = anim != [5110,5119] ;Not already changed anim
trigger1 = anim != [5161,5169]
trigger2 = !SelfAnimExist(5170 + (anim % 10))
value = 5170

[State 5110, 3] ;Hit ground anim (for hit up)
type = ChangeAnim
triggerall = time = 0
triggerall = anim != [5110,5119] ;Not already changed anim
trigger1 = anim = [5161,5169]
trigger1 = SelfAnimExist(5170 + (anim % 10))
value = 5170 + (anim % 10)

[State 5110, 4]
type = HitFallDamage
trigger1 = Time = 0

[State 5110, 5]
type = PosSet
trigger1 = Time = 0
y = 0

[State 5110, Var] ;Get fall velocity
type = VarSet
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) != 0
sysvar(1) = floor(vel y)

;[State 5110, 7]
;type = Explod
;trigger1 = Time = 0
;trigger1 = !SysVar(0)
;anim = F(60 + (sysvar(1) > Const720p(20)) + (sysvar(1) > Const720p(56)))
;pos = 0, 0
;sprpriority = ifelse (sysvar(1) <= Const720p(56), -10, 10)

[State 5110, 8]
type = VelSet
trigger1 = Time = 0
y = 0

[State 5110, 9] ;For hit up type
type = ChangeAnim
persistent = 0
triggerall = anim = [5171,5179]
triggerall = SelfAnimExist(5110 + (anim % 10))
trigger1 = AnimTime = 0
trigger2 = SysVar(0) ;SysVar(0) = 1 avoids hit ground anim
value = 5110 + (anim % 10)

[State 5110, 10] ;For normal
type = ChangeAnim
persistent = 0
triggerall = Anim != [5111,5119]
trigger1 = AnimTime = 0
trigger2 = SysVar(0) ;SysVar(0) = 1 avoids hit ground frame
value = 5110

[State 5110, 11] ;If just died
type = ChangeState
triggerall = !alive
trigger1 = AnimTime = 0
trigger2 = SysVar(0) ;SysVar(0) = 1 avoids hit ground frame
trigger3 = Anim = [5110,5119]
value = 5150

[State 5110, 12]
type = VarSet
trigger1 = SysVar(0)
trigger1 = Time = 0
sysvar(0) = 0

[State 5110, 13] ;Friction
type = VelMul
trigger1 = 1
x = 0.85

[State 5110, 14] ;Friction
type = VelSet
trigger1 = abs(Vel x) < .05
persistent = 0
x = 0

[State -3, Fall Sound]
type = PlaySnd
trigger1 = Time = 1
value = S2, 3

[State 5110, 15]
type = ForceFeedback
trigger1 = alive
trigger1 = Time = 0
time = 8
ampl = 240
waveform = sine

[State 5110, 16]
type = ForceFeedback
trigger1 = !alive
trigger1 = Time = 0
ampl = 200, 7, -.467
time = 30
waveform = sine

;---------------------------------------------------------------------------
; Blood Drop
[Statedef 8030]
type = A
movetype = I
anim = 8030
sprpriority = 5
velset = 1+(random%200*0.01),-3-(random%300*0.01)

[State 0, VelAdd]
type = VelAdd
trigger1 = Pos Y < 0
y = .3

[State 0, VelMul]
type = VelMul
trigger1 = 1
x = 0.99

[State 0, VelSet]
type = VelSet
trigger1 = Pos Y > 0
y = 0

[State 0, PosSet]
type = PosSet
trigger1 = Pos Y > 0
y = 0

[State 0, Explod]
type = Explod
trigger1 = Pos Y >= 0
anim = 8031
ID = 8031
pos = 0,random%16
postype = p1
;facing = ifelse(random>500,1,-1)
removetime = -2
;scale = 1,1
sprpriority = -1
ownpal = 1

[State 0, DestroySelf]
type = DestroySelf
trigger1 = Pos Y >= 0

;---------------------------------------------------------------------------
; States that are always executed (use statedef -2)
;---------------------------------------------------------------------------
[Statedef -2]

[State 0, P2DefMul]
type = SuperPause
trigger1 = Time = 1
trigger1 = MoveType = A
trigger1 = StateNo < 2000
time = 0
anim = -1
darken = 0
p2defmul = Var(12)*0.01

[State 0, NoAirGuarding]
type = AssertSpecial
trigger1 = 1
flag = noairguard

[State 0, MoveHit Timer]
type = VarAdd
trigger1 = MoveContact = 1
v = 9
value = 1
ignorehitpause = 1
[State 0, MoveHit Reset]
type = VarSet
trigger1 = MoveContact = 1
v = 9
value = 0

[State 0, VarSet]
type = VarSet
triggerall = Var(7) = 1
trigger1 = EnemyNear,Ctrl = 1
v = 7
value = 0

[State 0, Snd Land]
type = PlaySnd
triggerall = Time = 1
trigger1 = Stateno = 52
trigger2 = StateNo = 106
value = S2,1
channel = 1